Cash-flow forecast
curl -X GET "https://api.403fin.io/v1/insights/cash-flow-forecast?days_ahead=42&account_id=123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.403fin.io/v1/insights/cash-flow-forecast?days_ahead=42&account_id=123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.403fin.io/v1/insights/cash-flow-forecast?days_ahead=42&account_id=123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.403fin.io/v1/insights/cash-flow-forecast?days_ahead=42&account_id=123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.403fin.io/v1/insights/cash-flow-forecast?days_ahead=42&account_id=123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": {
"points": [
{
"date": "2024-12-25",
"projected_balance": "example_string",
"income": "example_string",
"expenses": "example_string"
}
],
"starting_balance": "example_string",
"projected_end_balance": "example_string",
"starting_balance_available": true,
"currency": "example_string",
"projections": [
{
"period_days": 42,
"expected_income": "example_string",
"expected_expenses": "example_string",
"net_cash_flow": "example_string",
"projected_balance": "example_string"
}
],
"recurring_items": [
{
"merchant": "example_string",
"amount": "example_string",
"frequency": "example_string",
"stream_type": "example_string",
"next_expected": "2024-12-25"
}
]
},
"pagination": {
"next_cursor": "example_string",
"has_more": true
},
"redacted_fields": [
"example_string"
],
"filtered": true
}
{}
GET
/v1/insights/cash-flow-forecast
GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAn opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAn opaque ff_ credential presented in the X-API-Key header.
An opaque ff_ credential presented in the X-API-Key header.
query
days_aheadinteger
How many days ahead to project.
Format: int32 • Min: 1
query
account_idstring
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. An opaque ff_ credential (ff_ak_ / ff_at_) presented as a Bearer token.
header
X-API-Keystring
RequiredAPI Key for authentication. An opaque ff_ credential presented in the X-API-Key header.
Query Parameters
days_aheadinteger
How many days ahead to project.
Responses
dataobject
Requiredpaginationstring
Cursor pagination state, present on list endpoints.
redacted_fieldsstring[]
Field ids stripped from the payload by connection scope.
filteredboolean
True when row or aggregate filtering is in effect for this response.
Was this page helpful?